#include <libavformat/avformat.h>

#include "../util.h"

double fileduration(char *path)
{
	double res;
	AVFormatContext *demux;
	demux = 0;
	if (avformat_open_input(&demux, path, 0, 0) < 0)
		return 0;
	avformat_find_stream_info(demux, 0);
	res = demux->duration*av_q2d(AV_TIME_BASE_Q);
	avformat_close_input(&demux);
	return res;
}
