#include <libavutil/opt.h>
#include <libavformat/avformat.h>

#include "../util.h"

void parse_dict(AVDictionary **d, char *s)
{
	char *val;
	for (s = jenter(s); s; s = jnext(s))
	{
		if (val = jstr(jvalue(s), 0))
			av_dict_set(d, jstr(s, 0), val, 0);
		else
			av_dict_set_int(d, jstr(s, 0), jint(jvalue(s), 0), 0);
	}
}

