#include <stdio.h>
#include <stdlib.h>

#include "../util.h"

int jobid;

void job_failed(char *msg, ...)
{
	va_list ap;
	va_start(ap, msg);
	ping_job(jobid, "failed", "{\"reason\": \"%s\", \"log\": \"%s\"}",
			jescape(vmprintf(msg, ap)), jescape(get_avlogbuf()));
	va_end(ap);
	exit(2);
}
